Name:           ros2-iron-ament_package
Version:        0.15.3
Release:        1%{?dist}
Summary:        ROS package ament_package

License:        Apache License 2.0
URL:            http://www.ros.org/

Source0:        https://github.com/ros2-gbp/ament_package-release/archive/release/iron/ament_package/0.15.3-2.tar.gz#/ros2-iron-ament_package-0.15.3-source0.tar.gz


BuildArch: noarch

# common BRs
BuildRequires: patchelf
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: make
BuildRequires: patch
BuildRequires: python3-devel
BuildRequires: python-unversioned-command
BuildRequires: python3-colcon-common-extensions
BuildRequires: python3-pip
BuildRequires: python3-pytest
BuildRequires: python3-pytest-repeat
BuildRequires: python3-pytest-rerunfailures
BuildRequires: python3-rosdep
BuildRequires: python3-setuptools
BuildRequires: python3-vcstool

# BuildRequires:  boost-devel
# BuildRequires:  console-bridge-devel
# BuildRequires:  gtest-devel
# BuildRequires:  log4cxx-devel
# BuildRequires:  python3-devel
# BuildRequires:  python3-colcon-common-extensions
# BuildRequires:  python-unversioned-command

BuildRequires:  python3
BuildRequires:  python3-flake8
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

Requires:       python3
Requires:       python3-setuptools

Provides:  ros2-iron-ament_package = 0.15.3-1
Obsoletes: ros2-iron-ament_package < 0.15.3-1



%description
The parser for the manifest files in the ament buildsystem.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       python3
Requires:       python3-flake8
Requires:       python3-pytest
Requires:       python3-setuptools

Provides: ros2-iron-ament_package-devel = 0.15.3-1
Obsoletes: ros2-iron-ament_package-devel < 0.15.3-1


%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.



%prep

%setup -c -T
tar --strip-components=1 -xf %{SOURCE0}

%build
# nothing to do here


%install

PYTHONUNBUFFERED=1 ; export PYTHONUNBUFFERED

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags%{?_fmoddir: -I%_fmoddir}}" ; export FFLAGS ; \
FCFLAGS="${FCFLAGS:-%optflags%{?_fmoddir: -I%_fmoddir}}" ; export FCFLAGS ; \
%{?__global_ldflags:LDFLAGS="${LDFLAGS:-%__global_ldflags}" ; export LDFLAGS ;} \


# substitute shebang before install block because we run the local catkin script
%py3_shebang_fix .

# DESTDIR=%{buildroot} ; export DESTDIR


colcon \
  build \
  --merge-install \
  --cmake-args -DPYTHON_EXECUTABLE="/usr/bin/python" \
  -DTHIRDPARTY_Asio=ON \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DCMAKE_CXX_FLAGS="$CXXFLAGS -Wno-error=maybe-uninitialized -Wno-error=null-dereference" \
  -DCMAKE_C_FLAGS="$CFLAGS" \
  -DCMAKE_LD_FLAGS="$LDFLAGS" \
  -DBUILD_TESTING=OFF \
  --base-paths . \
  --install-base %{buildroot}/%{_libdir}/ros2-iron/ \
  --packages-select ament_package



# remove wrong buildroot and builddir prefixes
find %{buildroot}/%{_libdir}/ros2-iron/ -type f -exec sed -i 's:COLCON_CURRENT_PREFIX="%{buildroot}:COLCON_CURRENT_PREFIX=":g' {} \;
find %{buildroot}/%{_libdir}/ros2-iron/ -type f -exec sed -i 's:COLCON_CURRENT_PREFIX=%{buildroot}:COLCON_CURRENT_PREFIX=:g' {} \;

touch files.list
find %{buildroot}/%{_libdir}/ros2-iron/{bin,etc,lib64/python*,lib/python*/site-packages,share} \
  -mindepth 1 -maxdepth 1 | sed "s:%{buildroot}/::" > files.list
find %{buildroot}/%{_libdir}/ros2-iron/lib*/ -mindepth 1 -maxdepth 1 \
  ! -name pkgconfig ! -name "python*" \
  | sed "s:%{buildroot}/::" >> files.list

touch files_devel.list
find %{buildroot}/%{_libdir}/ros2-iron/{lib*/pkgconfig,ament_package/include,share/ament_package/cmake} \
  -mindepth 1 -maxdepth 1 | sed "s:%{buildroot}/::" > files_devel.list

find %{buildroot}/%{_libdir}/ros2-iron -maxdepth 1 \
  -name .colcon_install_layout -o -name COLCON_IGNORE -o -name .rosinstall \
  -o -name "_setup*" -o -name "setup.*" -o -name "local_setup.*" -o -name _local_setup* \
  | sed -e "s:%{buildroot}/::" -e "s:.py$:.py{,o,c}:" >> files.list

find . -maxdepth 1 -type f -iname "*readme*" | sed "s:^:%%doc :" >> files.list
find . -maxdepth 1 -type f -iname "*license*" | sed "s:^:%%license :" >> files.list



find %{buildroot}/%{_libdir}/ros2-iron/ -name *__rosidl_generator_py.so -type f -exec patchelf --remove-rpath  {} \;
# find %{buildroot}/%{_libdir}/ros2-iron/ -name *__rosidl_generator_py.so -type f -exec patchelf --force-rpath --add-rpath "%{_libdir}/ros2/lib" {} \;

# replace cmake python macro in shebang
for file in $(grep -rIl '^#!.*@PYTHON_EXECUTABLE@.*$' %{buildroot}) ; do
  sed -i.orig 's:^#!\s*@PYTHON_EXECUTABLE@\s*:%{__python3}:' $file
  touch -r $file.orig $file
  rm $file.orig
done


echo "This is a package automatically generated with rosfed." >> README_FEDORA
echo "See  https://github.com/morxa/rosfed for more information." >> README_FEDORA
install -m 0644 -p -D -t %{buildroot}/%{_docdir}/%{name} README_FEDORA
echo %{_docdir}/%{name} >> files.list
install -m 0644 -p -D -t %{buildroot}/%{_docdir}/%{name}-devel README_FEDORA
echo %{_docdir}/%{name}-devel >> files_devel.list

%py3_shebang_fix %{buildroot}

# Also fix .py.in files
for pyfile in $(grep -rIl '^#!.*python.*$' %{buildroot}) ; do
  %py3_shebang_fix $pyfile
done


%files -f files.list
%files devel -f files_devel.list


%changelog
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Wed Aug 23 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Tue Aug 22 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Tue Aug 22 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Tue Aug 22 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Tue Aug 22 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Tue Aug 22 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Tue Aug 22 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Aug 21 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Aug 21 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Aug 21 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Aug 21 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Aug 21 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Aug 21 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sun Aug 20 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sun Aug 20 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Sat Aug 19 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Fri Aug 18 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Fri Aug 18 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - iron.0.15.3-1
- update to latest upstream release
* Mon Mar 06 2023 Tarik Viehmann <viehmann@kbsg.rwth-aachen.de> - humble.0.14.0-1
- Initial humble build
